Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.modelo
Class ValoracionCualitativa

    java.lang.Object
      eia.modelo.ValoracionCualitativa

All Implemented Interfaces:
  java.lang.Cloneable

    public class ValoracionCualitativa

extends java.lang.Object
implements java.lang.Cloneable

Clase que implementa la información para el análisis/valoración cualitativa completa de un efecto/impacto ambiental.

Field Summary
`static int` | `ACU_ACUMULATIVO`
`static int` | `ACU_SIMPLE`
`static int` | `ACU_SINERGICO`
`static int` | `EFE_DIRECTO`
`static int` | `EFE_INDIRECTO_SEC`
`static int` | `EFE_INDIRECTO_TER`
`static int` | `EXT_CRITICA`
`static int` | `EXT_EXTENSO`
`static int` | `EXT_NO_CRITICA`
`static int` | `EXT_PARCIAL`
`static int` | `EXT_PUNTUAL`
`static int` | `EXT_TOTAL`
`static int` | `INT_ALTA`
`static int` | `INT_BAJA`
`static int` | `INT_MEDIA`
`static int` | `INT_MUYALTA`
`static int` | `INT_TOTAL`
`static int` | `MOM_CRITICO`
`static int` | `MOM_INMEDIATO`
`static int` | `MOM_LARGO_PLAZO`
`static int` | `MOM_MEDIO_PLAZO`
`static int` | `MOM_NO_CRITICO`
`static int` | `PER_CONTINUO`
`static int` | `PER_DISCONTINUO`
`static int` | `PER_PERIODICO`
`static int` | `PERS_FUGAZ`
`static int` | `PERS_PERMANENTE`
`static int` | `PERS_TEMPORAL`
`static int` | `REC_INMEDIATA`
`static int` | `REC_IRRECUPERABLE`
`static int` | `REC_LARGO_PLAZO`
`static int` | `REC_MEDIO_PLAZO`
`static int` | `REC_MITIGABLE`
`static int` | `REV_CORTO_PLAZO`
`static int` | `REV_IRREVERSIBLE`
`static int` | `REV_LARGO_PLAZO`
`static int` | `REV_MEDIO_PLAZO`
`static int` | `SIG_NEGATIVO`
`static int` | `SIG_POSITIVO`

Constructor Summary
`ValoracionCualitativa()` Constructor por defecto.
`ValoracionCualitativa(int signo, int acumulacion, int extension, int extensionCritica, int intensidad, int persistencia, int reversibilidad, int recuperabilidad, int periodicidad, int momento, int momentoCritico, int efecto)` Constructor por parámetros.

Method Summary
`void` | `calcularValoracion()` Función para calcular el valor de impacto del efecto según análisis cualitativo completo, estableciendo dicho valor en el atributo 'incidencia'.
`java.lang.Object` | `clone()` Función para clonar el objeto ValoracionCualitativa.
`int` | `getAcumulacion()` Accesor para el atributo 'acumulacion'.
`int` | `getEfecto()` Accesor para el atributo 'efecto'.
`int` | `getExtension()` Accesor para el atributo 'extension'.
`int` | `getExtensionCritica()` Accesor para el atributo 'extensionCritica'.
`double` | `getIncidencia()` Accesor para el atributo 'incidencia'.
`int` | `getIntensidad()` Accesor para el atributo 'intensidad'.
`int` | `getMomento()` Accesor para el atributo 'momento'.
`int` | `getMomentoCritico()` Accesor para el atributo 'momentoCritico'.
`int` | `getPeriodicidad()` Accesor para el atributo 'periodicidad'.
`int` | `getPersistencia()` Accesor para el atributo 'persistencia'.
`int` | `getRecuperabilidad()` Accesor para el atributo 'recuperabilidad'.
`int` | `getReversibilidad()` Accesor para el atributo 'reversibilidad'.
`int` | `getSigno()` Accesor para el atributo 'signo'.
`void` | `setAcumulacion(int acumulacion)` Mutador para el atributo 'signo'.
`void` | `setEfecto(int efecto)` Mutador para el atributo 'efecto'.
`void` | `setExtension(int extension)` Mutador para el atributo 'extension'.
`void` | `setExtensionCritica(int extensionCritica)` Mutador para el atributo 'extensionCritica'.
`void` | `setIncidencia(double incidencia)` Mutador para el atributo 'incidencia'.
`void` | `setIntensidad(int intensidad)` Mutador para el atributo 'intensidad'.
`void` | `setMomento(int momento)` Mutador para el atributo 'momento'.
`void` | `setMomentoCritico(int momentoCritico)` Mutador para el atributo 'momentoCritico'.
`void` | `setPeriodicidad(int periodicidad)` Mutador para el atributo 'periodicidad'.
`void` | `setPersistencia(int persistencia)` Mutador para el atributo 'persistencia'.
`void` | `setRecuperabilidad(int recuperabilidad)` Mutador para el atributo 'recuperabilidad'.
`void` | `setReversibilidad(int reversibilidad)` Mutador para el atributo 'reversibilidad'.
`void` | `setSigno(int signo)` Mutador para el atributo 'signo'.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIG_POSITIVO

    public static final int SIG_POSITIVO

See Also:
  Constant Field Values

### SIG_NEGATIVO

    public static final int SIG_NEGATIVO

See Also:
  Constant Field Values

### ACU_SIMPLE

    public static final int ACU_SIMPLE

See Also:
  Constant Field Values

### ACU_ACUMULATIVO

    public static final int ACU_ACUMULATIVO

See Also:
  Constant Field Values

### ACU_SINERGICO

    public static final int ACU_SINERGICO

See Also:
  Constant Field Values

### EXT_PUNTUAL

    public static final int EXT_PUNTUAL

See Also:
  Constant Field Values

### EXT_PARCIAL

    public static final int EXT_PARCIAL

See Also:
  Constant Field Values

### EXT_EXTENSO

    public static final int EXT_EXTENSO

See Also:
  Constant Field Values

### EXT_TOTAL

    public static final int EXT_TOTAL

See Also:
  Constant Field Values

### EXT_NO_CRITICA

    public static final int EXT_NO_CRITICA

See Also:
  Constant Field Values

### EXT_CRITICA

    public static final int EXT_CRITICA

See Also:
  Constant Field Values

### INT_BAJA

    public static final int INT_BAJA

See Also:
  Constant Field Values

### INT_MEDIA

    public static final int INT_MEDIA

See Also:
  Constant Field Values

### INT_ALTA

    public static final int INT_ALTA

See Also:
  Constant Field Values

### INT_MUYALTA

    public static final int INT_MUYALTA

See Also:
  Constant Field Values

### INT_TOTAL

    public static final int INT_TOTAL

See Also:
  Constant Field Values

### PERS_FUGAZ

    public static final int PERS_FUGAZ

See Also:
  Constant Field Values

### PERS_TEMPORAL

    public static final int PERS_TEMPORAL

See Also:
  Constant Field Values

### PERS_PERMANENTE

    public static final int PERS_PERMANENTE

See Also:
  Constant Field Values

### REV_CORTO_PLAZO

    public static final int REV_CORTO_PLAZO

See Also:
  Constant Field Values

### REV_MEDIO_PLAZO

    public static final int REV_MEDIO_PLAZO

See Also:
  Constant Field Values

### REV_LARGO_PLAZO

    public static final int REV_LARGO_PLAZO

See Also:
  Constant Field Values

### REV_IRREVERSIBLE

    public static final int REV_IRREVERSIBLE

See Also:
  Constant Field Values

### REC_INMEDIATA

    public static final int REC_INMEDIATA

See Also:
  Constant Field Values

### REC_MEDIO_PLAZO

    public static final int REC_MEDIO_PLAZO

See Also:
  Constant Field Values

### REC_MITIGABLE

    public static final int REC_MITIGABLE

See Also:
  Constant Field Values

### REC_LARGO_PLAZO

    public static final int REC_LARGO_PLAZO

See Also:
  Constant Field Values

### REC_IRRECUPERABLE

    public static final int REC_IRRECUPERABLE

See Also:
  Constant Field Values

### PER_DISCONTINUO

    public static final int PER_DISCONTINUO

See Also:
  Constant Field Values

### PER_PERIODICO

    public static final int PER_PERIODICO

See Also:
  Constant Field Values

### PER_CONTINUO

    public static final int PER_CONTINUO

See Also:
  Constant Field Values

### MOM_LARGO_PLAZO

    public static final int MOM_LARGO_PLAZO

See Also:
  Constant Field Values

### MOM_MEDIO_PLAZO

    public static final int MOM_MEDIO_PLAZO

See Also:
  Constant Field Values

### MOM_INMEDIATO

    public static final int MOM_INMEDIATO

See Also:
  Constant Field Values

### MOM_NO_CRITICO

    public static final int MOM_NO_CRITICO

See Also:
  Constant Field Values

### MOM_CRITICO

    public static final int MOM_CRITICO

See Also:
  Constant Field Values

### EFE_DIRECTO

    public static final int EFE_DIRECTO

See Also:
  Constant Field Values

### EFE_INDIRECTO_SEC

    public static final int EFE_INDIRECTO_SEC

See Also:
  Constant Field Values

### EFE_INDIRECTO_TER

    public static final int EFE_INDIRECTO_TER

See Also:
  Constant Field Values

Constructor Detail

### ValoracionCualitativa

    public ValoracionCualitativa(int signo,
                                 int acumulacion,
                                 int extension,
                                 int extensionCritica,
                                 int intensidad,
                                 int persistencia,
                                 int reversibilidad,
                                 int recuperabilidad,
                                 int periodicidad,
                                 int momento,
                                 int momentoCritico,
                                 int efecto)

  Constructor por parámetros.

  Parameters:
    `signo` - Signo del efecto/impacto.
    `acumulacion` - Valor de acumulación del efecto/impacto.
    `extension` - Valor de extensión del efecto/impacto.
    `extensionCritica` - Valor de la extensión crítica del efecto/impacto.
    `intensidad` - Valor de intensidad del efecto/impacto.
    `persistencia` - Valor de persistencia del efecto/impacto.
    `reversibilidad` - Valor de reversibilidad del efecto/impacto.
    `recuperabilidad` - Valor de recuperabilidad del efecto/impacto.
    `periodicidad` - Valor de periodicidad del efecto/impacto.
    `momento` - Valor del momento del efecto/impacto.
    `momentoCritico` - Valor del momento crítico del efecto/impacto.
    `efecto` - Valor de efecto del efecto/impacto.

### ValoracionCualitativa

    public ValoracionCualitativa()

  Constructor por defecto.

Method Detail

### getSigno

    public int getSigno()

  Accesor para el atributo 'signo'.

  Returns:
    Signo del efecto/impacto.

### setSigno

    public void setSigno(int signo)

  Mutador para el atributo 'signo'.

  Parameters:
    `signo` - Signo a asociar al efecto/impacto.

### getAcumulacion

    public int getAcumulacion()

  Accesor para el atributo 'acumulacion'.

  Returns:
    Valor de acumulación del efecto/impacto.

### setAcumulacion

    public void setAcumulacion(int acumulacion)

  Mutador para el atributo 'signo'.

  Parameters:
    `acumulacion` - Valor de acumulación a asociar al efecto/impacto.

### getExtension

    public int getExtension()

  Accesor para el atributo 'extension'.

  Returns:
    Valor de extensión del efecto/impacto.

### setExtension

    public void setExtension(int extension)

  Mutador para el atributo 'extension'.

  Parameters:
    `extension` - Valor de extensión a asociar al efecto/impacto.

### getExtensionCritica

    public int getExtensionCritica()

  Accesor para el atributo 'extensionCritica'.

  Returns:
    Valor de extensión crítica del efecto/impacto

### setExtensionCritica

    public void setExtensionCritica(int extensionCritica)

  Mutador para el atributo 'extensionCritica'.

  Parameters:
    `extensionCritica` - Valor de extensión crítica a asociar al efecto/impacto.

### getIntensidad

    public int getIntensidad()

  Accesor para el atributo 'intensidad'.

  Returns:
    Valor de intensidad del efecto/impacto.

### setIntensidad

    public void setIntensidad(int intensidad)

  Mutador para el atributo 'intensidad'.

  Parameters:
    `intensidad` - Valor de intensidad a asociar al efecto/impacto.

### getPersistencia

    public int getPersistencia()

  Accesor para el atributo 'persistencia'.

  Returns:
    Valor de persistencia del efecto/impacto.

### setPersistencia

    public void setPersistencia(int persistencia)

  Mutador para el atributo 'persistencia'.

  Parameters:
    `persistencia` - Valor de persistencia a asociar al efecto/impacto.

### getReversibilidad

    public int getReversibilidad()

  Accesor para el atributo 'reversibilidad'.

  Returns:
    Valor de reversibilidad del efecto/impacto.

### setReversibilidad

    public void setReversibilidad(int reversibilidad)

  Mutador para el atributo 'reversibilidad'.

  Parameters:
    `reversibilidad` - Valor de reversibilidad a asociar al efecto/impacto.

### getRecuperabilidad

    public int getRecuperabilidad()

  Accesor para el atributo 'recuperabilidad'.

  Returns:
    Valor de recuperabilidad del efecto/impacto.

### setRecuperabilidad

    public void setRecuperabilidad(int recuperabilidad)

  Mutador para el atributo 'recuperabilidad'.

  Parameters:
    `recuperabilidad` - Valor de recuperabilidad a asociar al efecto/impacto.

### getPeriodicidad

    public int getPeriodicidad()

  Accesor para el atributo 'periodicidad'.

  Returns:
    Valor de periodicidad del efecto/impacto.

### setPeriodicidad

    public void setPeriodicidad(int periodicidad)

  Mutador para el atributo 'periodicidad'.

  Parameters:
    `periodicidad` - Valor de periodicidad a asociar al efecto/impacto.

### getMomento

    public int getMomento()

  Accesor para el atributo 'momento'.

  Returns:
    Valor del momento del efecto/impacto.

### setMomento

    public void setMomento(int momento)

  Mutador para el atributo 'momento'.

  Parameters:
    `momento` - Valor del momento a asociar al efecto/impacto.

### getMomentoCritico

    public int getMomentoCritico()

  Accesor para el atributo 'momentoCritico'.

  Returns:
    Valor del momento crítico del efecto/impacto.

### setMomentoCritico

    public void setMomentoCritico(int momentoCritico)

  Mutador para el atributo 'momentoCritico'.

  Parameters:
    `momentoCritico` - Valor del momento crítico a asociar al efecto/impacto.

### getEfecto

    public int getEfecto()

  Accesor para el atributo 'efecto'.

  Returns:
    Valor de efecto del efecto/impacto.

### setEfecto

    public void setEfecto(int efecto)

  Mutador para el atributo 'efecto'.

  Parameters:
    `efecto` - Valor de efecto a asociar al efecto/impacto.

### getIncidencia

    public double getIncidencia()

  Accesor para el atributo 'incidencia'.

  Returns:
    Valor de incidencia del efecto/impacto.

### setIncidencia

    public void setIncidencia(double incidencia)

  Mutador para el atributo 'incidencia'.

  Parameters:
    `incidencia` - Valor de incidencia a asociar al efecto/impacto.

### calcularValoracion

    public void calcularValoracion()

  Función para calcular el valor de impacto del efecto según análisis cualitativo completo, estableciendo dicho valor en el atributo 'incidencia'.

### clone

    public java.lang.Object clone()

  Función para clonar el objeto ValoracionCualitativa.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Copia del objeto ValoracionCualitativa.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD